TokyoTyrantTable::genUid
TokyoTyrantTable::getIterator
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::get

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantTable::get — Get a row

### Description

public void TokyoTyrantTable::get ( mixed `$keys` )

Gets a row from table database. `keys` is a single integer for the primary key of the row or an array of integers for multiple rows.

### Parameters

`keys`

  The primary key, can be a string or an integer

### Return Values

Returns the row as an array

### Examples

Example #1 TokyoTyrantTable::get() example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Passing null to put generates a new uid */
$index = $tt->put(null, array("column1" => "some data", "column2" => "more data"));
/* Get the row back */
var_dump($tt->get($index));
?>`

The above example will output:

    array(2) {
      ["column1"]=>
      string(9) "some data"
      ["column2"]=>
      string(9) "more data"
    }

### Notes

> Note:

> Starting from version 0.3.0 this method accepts array as parameter. Please note that multi-get on tables is not binary-safe.

### See Also

- TokyoTyrantTable::put() - Store a row

TokyoTyrantTable::genUid
TokyoTyrantTable::getIterator
TokyoTyrantTable
PHP Manual